# Yahoo! UI Library

### Storage 2.8.1

Yahoo! UI Library > Storage > YAHOO.util.StorageEngineSWF
Search:
Filters Show Private Show Protected Show Deprecated

## Class YAHOO.util.StorageEngineSWF - uses YAHOO.widget.SWF

The StorageEngineSWF class implements the SWF storage engine.

### Constructor

YAHOO.util.StorageEngineSWF `( location , conf )`

Parameters:
  `location <String>` Required. The storage location.
  `conf <Object>` Required. A configuration object.

### Properties

#### _swf - `protected {Object}`

The underlying SWF of the engine, exposed so developers can modify the adapter behavior.

#### Properties inherited from YAHOO.util.Element:

`DOM_EVENTS`

#### Properties inherited from YAHOO.util.AttributeProvider:

`_configs`

#### Properties inherited from YAHOO.widget.SWF:

`_id, _instances`

#### Properties inherited from YAHOO.util.EventProvider:

`__yui_events, __yui_subscribers`

#### Methods inherited from YAHOO.util.Element:

`_setHTMLAttrConfig, addClass, addListener, appendChild, appendTo, delegate, fireQueue, getElementsByClassName, getElementsByTagName, getStyle, hasChildNodes, hasClass, initAttributes, insertBefore, on, removeChild, removeClass, removeDelegate, removeListener, replaceChild, replaceClass, setStyle, subscribe`

#### Methods inherited from YAHOO.util.AttributeProvider:

`configureAttribute, fireBeforeChangeEvent, fireChangeEvent, get, getAttributeConfig, getAttributeKeys, refresh, register, resetAttributeConfig, resetValue, set, setAttributeConfig, setAttributes`

#### Methods inherited from YAHOO.widget.SWF:

`callSWF, eventHandler, toString`

#### Methods inherited from YAHOO.util.EventProvider:

`createEvent, fireEvent, hasEvent, subscribe, unsubscribe, unsubscribeAll`

#### Events inherited from YAHOO.util.Element:

`appendTo, available, beforeAppendTo, beforeElementChange, contentReady, elementChange,`

#### Configuration attributes inherited from YAHOO.util.Element:

`element`

Copyright © 2010 Yahoo! Inc. All rights reserved.